ข้ามไปยังเนื้อหา

Stable Diffusion V3

ผสานการทำงาน

ID โมเดล stable-diffusion-v3-medium
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.035 35 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Stability AI ข้อความเป็นภาพ #diffusion#style

Stable Diffusion 3 Medium แบบข้อความเป็นรูปภาพ พร้อมการขยายพรอมต์ที่เป็นตัวเลือกและรูปภาพสูงสุด 4 รูป

Stability AI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่กำกับการสร้างรูปภาพ

image_size ค่าเริ่มต้น square_hd

ขนาดของรูปภาพที่สร้างขึ้น

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่ขอให้สร้าง

ขั้นสูง negative_prompt · num_inference_steps · guidance_scale · seed · prompt_expansion · enable_safety_checker
ค่าเริ่มต้น

พรอมต์เชิงลบที่ใช้เมื่อสร้างรูปภาพ

ค่าเริ่มต้น 28

จำนวนขั้นตอน inference ที่ต้องดำเนินการ

ค่าเริ่มต้น 5

ระดับการยึดตามพรอมต์สำหรับการเลือกรูปภาพ ซึ่งแสดงเป็น CFG (Classifier Free Guidance)

Seed สำหรับสร้างรูปภาพซ้ำใน Stable Diffusion สามารถสร้างรูปภาพเดิมได้เหมือนกันทุกครั้งโดยคงเวอร์ชันโมเดล พรอมต์ และ seed เดิมไว้

POST /run/stable-diffusion-v3-medium?wait=20 ใบเสนอราคา → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-diffusion-v3-medium?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Stable Diffusion V3

โมเดล Multimodal Diffusion Transformer ที่แปลง `prompt` เป็นภาพ ตัวเลือกประกอบด้วย `negative_prompt`, `prompt_expansion` และค่า `image_size` ที่กำหนดไว้ล่วงหน้า 6 ค่า โดยมี square_hd เป็นค่าเริ่มต้น จำนวนขั้นตอนอยู่ที่ 1 ถึง 50 โดยค่าเริ่มต้นคือ 28 และ `guidance_scale` อยู่ที่ 0 ถึง 20 `num_images` รองรับ 1 ถึง 4 ภาพ

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่กำกับการสร้างรูปภาพ
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้น
พรอมต์เชิงลบที่ใช้เมื่อสร้างรูปภาพ
prompt_expansionไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
การเพิ่มความละเอียดของพรอมต์ ซึ่งจะเพิ่มรายละเอียดเมื่อเปิดใช้
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดของรูปภาพที่สร้างขึ้น
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น28
1 – 50
จำนวนขั้นตอน inference ที่ต้องดำเนินการ
seedไม่บังคับ
ประเภทinteger | null
Seed สำหรับสร้างรูปภาพซ้ำใน Stable Diffusion สามารถสร้างรูปภาพเดิมได้เหมือนกันทุกครั้งโดยคงเวอร์ชันโมเดล พรอมต์ และ seed เดิมไว้
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น5
0 – 20
ระดับการยึดตามพรอมต์สำหรับการเลือกรูปภาพ ซึ่งแสดงเป็น CFG (Classifier Free Guidance)
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่ขอให้สร้าง
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
การตรวจสอบความปลอดภัย ซึ่งจะแทนที่รูปภาพที่ถูกทำเครื่องหมายว่าไม่ปลอดภัยด้วยรูปภาพสีดำ ค่า true จะเปิดใช้การตรวจสอบ ส่วน false จะปิดใช้เฉพาะสำหรับบัญชีที่ได้รับอนุญาต ขณะที่คำขอที่ไม่มีการอนุญาตจะได้รับการตรวจสอบเสมอ
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-diffusion-v3-medium",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "num_images": 1
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, width, height, content_type}ข้อมูลไฟล์สำหรับรูปภาพที่สร้าง
timings
object
seed
integerseed สำหรับการสร้างรูปภาพ รวมถึงค่าที่สุ่มเลือกหากอินพุตไม่ได้ระบุ seed มิฉะนั้นจะใช้ค่าที่ระบุซ้ำ
has_nsfw_concepts
array of booleanระบุว่ามีแนวคิด NSFW ปรากฏในรูปภาพที่สร้างหรือไม่
prompt
stringพรอมต์ที่ใช้ระหว่างการสร้างรูปภาพ
num_images
integerจำนวนรูปภาพที่สร้าง

โมเดลเพิ่มเติม: ข้อความเป็นภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/stable-diffusion-v3-medium.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt